Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 984466 - User panel is disabled after upgrade
Summary: User panel is disabled after upgrade
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-15 10:03 UTC by NickG
Modified: 2014-09-15 15:00 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-15 15:00:19 UTC


Attachments (Terms of Use)
tehbrok (deleted)
2013-07-15 10:03 UTC, NickG
no flags Details

Description NickG 2013-07-15 10:03:42 UTC
Created attachment 773684 [details]
tehbrok

Description of problem:
After an update, the gnome user panel shows no way of editing preexisting users

Version-Release number of selected component (if applicable):
[nick@slimtop ~]$ gnome-control-center --version
gnome-control-center 3.8.3


How reproducible:
Managed it twice now on two different machines

Steps to Reproduce:
1. Install F18 and setup a user account with administrative privileges
2. Update using fedup to F19
3. Try to edit

Actual results:
Can't edit user settings (password, groups, icon) for preexisting users

Expected results:
Working control centre settings for users

Additional info:

Comment 1 Ondrej Holy 2013-07-31 13:45:56 UTC
I've installed fresh F18, update system using yum and upgrade to F19 using fedup, however my admin account in User Accounts panel is shown normally and it is editable. I'm using same version of g-c-c now...

Did you update your system before fedup upgrade? 

Could you attach your fedup debug log?

Please attach debug output:
G_MESSAGES_DEBUG=all gnome-control-center user-accounts

Please attach output of this command listing accounts from accountsservice?
dbus-send --system --dest=org.freedesktop.Accounts --print-reply=literal /org/freedesktop/Accounts org.freedesktop.Accounts.ListCachedUsers

Comment 2 NickG 2014-09-15 15:00:19 UTC
Only just seen the follow up email - I just verified and can no longer repeat this so am setting to a WORKSFORME.


Note You need to log in before you can comment on or make changes to this bug.